Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::HSeparator Class Reference

A GtkHSeparator C++ wrapper class. More...

`#include <inti/gtk/separator.h>`

Inheritance diagram for Inti::Gtk::HSeparator:

List of all members.

## Public Member Functions

Constructors

- HSeparator ()
    Construct a new horizontal separator.
- virtual ~HSeparator ()
    Destructor.

Accessors

- GtkHSeparator * gtk_hseparator () const
    Get a pointer to the GtkHSeparator structure.
- GtkHSeparatorClass * gtk_hseparator_class () const
    Get a pointer to the GtkHSeparatorClass structure.
- operator GtkHSeparator * () const
    Conversion operator; safely converts a HSeparator to a GtkHSeparator pointer.

## Protected Member Functions

Constructors

- HSeparator (GtkHSeparator *hseparator, bool reference=false)
    Construct a new HSeparator from an existing GtkHSeparator.

## Detailed Description

A GtkHSeparator C++ wrapper class.

The HSeparator widget is a horizontal separator, used to group the widgets within a window. It displays a horizontal line with a shadow to make it appear sunken into the interface. Note, the HSeparator widget cannot used as a separator within menus. To create a separator in a menu use a SeparatorMenuItem widget.

## Constructor & Destructor Documentation

Inti::Gtk::HSeparator::HSeparator | ( | GtkHSeparator * | hseparator,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new HSeparator from an existing GtkHSeparator. Parameters:
  hseparator | A pointer to a GtkHSeparator.
  reference | Set false if the initial reference count is floating, set true if it's not.
The hseparator can be a newly created GtkHSeparator or an existing GtkHSeparator (see G::Object::Object).

The documentation for this class was generated from the following file:

- separator.h

Main Page - Footer